server:
  port: 8222

spring:
  application:
    name: SERVICE-GATEWAY

  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848

    #使用服务发现路由
    gateway:
      discovery:
        locator:
          enabled: true
      routes:
        - id: SERVICE-PAYMENT
          uri: lb://SERVICE-PAYMENT
          predicates:
            - Path=/payment/**

        - id: SERVICE-UCENTER
          uri: lb://SERVICE-UCENTER
          predicates:
            - Path=/ucenter/** # 路径匹配

        - id: SERVICE-EDUCATION
          uri: lb://SERVICE-EDUCATION
          predicates:
            - Path=/education/**

        - id: SERVICE-FILE
          uri: lb://SERVICE-FILE
          predicates:
            - Path=/file/**
